Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.util 6.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.util.lookup
Class InstanceContent

    java.lang.Object
      org.openide.util.lookup.AbstractLookup.Content
          org.openide.util.lookup.InstanceContent

All Implemented Interfaces:
  Serializable

    public final class InstanceContent

extends AbstractLookup.Content

A special content implementation that can be passed to AbstractLookup and provides methods for registration of instances and lazy instances.

          InstanceContent ic = new InstanceContent ();
          AbstractLookup al = new AbstractLookup (ic);

          ic.add (new Object ());
          ic.add (new Dimension (...));

          Dimension theDim = (Dimension)al.lookup (Dimension.class);

Since:
  1.25
See Also:
  Serialized Form

Nested Class Summary
`static interface` | `InstanceContent.Convertor` Convertor postpones an instantiation of an object.

Constructor Summary
`InstanceContent()` Create a new, empty content.

Method Summary
`void` | `add(Object inst)` The method to add instance to the lookup with.
`void` | `add(Object inst, InstanceContent.Convertor conv)` The method to add instance to the lookup with.
`void` | `remove(Object inst)` Remove instance.
`void` | `remove(Object inst, InstanceContent.Convertor conv)` Remove instance added with a convertor.
`void` | `set(Collection col, InstanceContent.Convertor conv)` Changes all pairs in the lookup to new values.

Methods inherited from class org.openide.util.lookup.AbstractLookup.Content
`addPair, removePair, setPairs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstanceContent

    public InstanceContent()

  Create a new, empty content.

Method Detail

### add

    public final void add(Object inst)

  The method to add instance to the lookup with.

  Parameters:
    `inst` - instance

### add

    public final void add(Object inst,
                          InstanceContent.Convertor conv)

  The method to add instance to the lookup with.

  Parameters:
    `inst` - instance
    `conv` - convertor which postponing an instantiation, if `conv==null` then the instance is registered directly.

### remove

    public final void remove(Object inst)

  Remove instance.

  Parameters:
    `inst` - instance

### remove

    public final void remove(Object inst,
                             InstanceContent.Convertor conv)

  Remove instance added with a convertor.

  Parameters:
    `inst` - instance
    `conv` - convertor, if `conv==null` it is same like remove(Object)

### set

    public final void set(Collection col,
                          InstanceContent.Convertor conv)

  Changes all pairs in the lookup to new values. Converts collection of instances to collection of pairs.

  Parameters:
    `col` - the collection of (Item) objects
    `conv` - the convertor to use or null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.util 6.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.